Skip to main content

Approve Bill Payment

POST 

/api/purchase-invoices/:purchaseInvoice/payment-request/approve-only

Approve a pending bill payment request without recording a payment. Use this when authorization and payment are handled separately.

Required scope: purchase-orders:write

Grant this scope to your token under Settings → Developer → Personal Access Tokens.

Authentication: Requires Bearer token.

Fields:

  • notes (optional, max 1000): Approval notes.

Approval policy: While the bill-payment approval policy is enabled you must be eligible for the current step of the bill's payment approval request (403 approval_limit_exceeded otherwise; 409 approval_state_conflict when it was already decided). When your decision completes only your step, the response is the bill plus approval_message (e.g. "Approved your step — waiting on Step 2 (Finance).").

Request​

Responses​

OK

Response Headers
    Content-Type